Package: org.codehaus.groovy.tools.groovydoc.antlr4

## [Java] Class GroovyDocParser

- org.codehaus.groovy.tools.groovydoc.antlr4.GroovyDocParser

- All Implemented Interfaces and Traits:
    GroovyDocParserI

      public class GroovyDocParser
      extends Object
      implements GroovyDocParserI

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDocParser(List<LinkArgument> links, Properties properties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Map<String, GroovyClassDoc>` | `getClassDocsFromSingleSource(String packagePath, String file, String src)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyDocParser(List<LinkArgument> links, Properties properties)

  - ### Method Detail

    - #### @Override
      public Map<String, GroovyClassDoc> getClassDocsFromSingleSource(String packagePath, String file, String src)